https://blog.gypsyengineer.com/en/diy-electronics/a-template-project-for-stm32f103-on-linux.html

```
dnf install \
	arm-none-eabi-gcc-cs \
	arm-none-eabi-newlib \
	arm-none-eabi-binutils-cs \
	arm-none-eabi-gdb \
	openocd \
	qemu-system-arm

```




https://jonathanklimt.de/electrics/programming/rust-STM32F103-blink/


openocd:

```
openocd -f interface/stlink-v2.cfg -f target/stm32f1x.cfg
``

https://crates.io/crates/stm32f1
`

